> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/basic-data/match-player-statistics.md).

# Match player statistics

## Match player statistics

> Returns the player statistics of the match where the player statistics have changed in the last 120 seconds(full update)\<br/>\<br/>Suggested request frequency:1min/time

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"BASIC DATA","description":"BASIC DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/match/player_stats/list":{"get":{"tags":["BASIC DATA"],"description":"Returns the player statistics of the match where the player statistics have changed in the last 120 seconds(full update)<br/><br/>Suggested request frequency:1min/time","summary":"Match player statistics","operationId":"getMatchPlayerStatsList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","description":"Match list","items":{"$ref":"#/components/schemas/MatchPlayer"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchPlayer":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"player_stats":{"type":"array","description":"Player statistics list","items":{"$ref":"#/deps/schemas/MatchPlayerStats"}}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"MatchPlayerStats":{"type":"object","description":"Data details","properties":{"player_id":{"type":"string","description":"Player id"},"team_id":{"type":"string","description":"Team id"},"first":{"type":"integer","description":"Whether to start,1-Yes,0-No"},"goals":{"type":"integer","description":"Goal"},"penalty":{"type":"integer","description":"Penalty kick"},"assists":{"type":"integer","description":"Assist"},"minutes_played":{"type":"integer","description":"Playing time (minutes)"},"red_cards":{"type":"integer","description":"Red card"},"yellow_cards":{"type":"integer","description":"Yellow card"},"shots":{"type":"integer","description":"Shot"},"shots_on_target":{"type":"integer","description":"Shoot right"},"dribble":{"type":"integer","description":"Dribble"},"dribble_succ":{"type":"integer","description":"Dribble success"},"clearances":{"type":"integer","description":"Clearances"},"blocked_shots":{"type":"integer","description":"Blocked shots"},"interceptions":{"type":"integer","description":"Intercept"},"tackles":{"type":"integer","description":"Tackles"},"tackles_succ":{"type":"integer","description":"Tackles success"},"passes":{"type":"integer","description":"Pass"},"passes_accuracy":{"type":"integer","description":"Successful pass"},"key_passes":{"type":"integer","description":"Key pass"},"crosses":{"type":"integer","description":"Cross"},"crosses_accuracy":{"type":"integer","description":"Successful cross"},"long_balls":{"type":"integer","description":"Long pass"},"long_balls_accuracy":{"type":"integer","description":"Successful long pass"},"duels":{"type":"integer","description":"1 to 1 fight"},"duels_won":{"type":"integer","description":"1 to 1 fight successfully"},"dispossessed":{"type":"integer","description":"The pass is broken"},"fouls":{"type":"integer","description":"foul"},"was_fouled":{"type":"integer","description":"Was fouled"},"offsides":{"type":"integer","description":"Offside"},"yellow2red_cards":{"type":"integer","description":"Card upgrade confirmed"},"saves":{"type":"integer","description":"Save"},"punches":{"type":"integer","description":"Punches"},"runs_out":{"type":"integer","description":"Goalkeeper strikes"},"runs_out_succ":{"type":"integer","description":"Goalkeeper strikes successfully"},"good_high_claim":{"type":"integer","description":"High altitude attack"},"rating":{"type":"float","description":"Score out of 10"},"freekicks":{"type":"integer","description":"Free kick"},"freekick_goals":{"type":"integer","description":"Free kick goal"},"hit_woodwork":{"type":"integer","description":"Hit woodwork"},"fastbreaks":{"type":"integer","description":"Fast break"},"fastbreak_shots":{"type":"integer","description":"Fast break shot"},"fastbreak_goals":{"type":"integer","description":"Fast break goal"},"poss_losts":{"type":"integer","description":"Lost the ball"},"aerial_won":{"type":"integer","description":"Win the aerial duel"},"aerial_lost":{"type":"integer","description":"Lose the aerial duel"},"ground_won":{"type":"integer","description":"Win the ground duel (new)"},"ground_lost":{"type":"integer","description":"Lose the ground duel (new)"},"duel_won":{"type":"integer","description":"Win the ground duel (old)"},"duel_lost":{"type":"integer","description":"Lose the ground duel (old)"},"big_chance_missed":{"type":"integer","description":"Missed scoring opportunities"},"big_chance_created":{"type":"integer","description":"Creating scoring opportunities"},"shots_ibox":{"type":"integer","description":"Shot inside the box"},"shots_obox":{"type":"integer","description":"Shot from outside the box"}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/basic-data/match-player-statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
